### Method

# Gtk Dialog set_response_sensitive

#### Declaration [src]

    void
    gtk_dialog_set_response_sensitive (
      GtkDialog* dialog,
      int response_id,
      gboolean setting
    )

#### Description [src]

A convenient way to sensitize/desensitize dialog buttons.

Calls `gtk_widget_set_sensitive (widget,`setting`)` for each widget in the dialog’s action area with the given `response_id`.

#### Parameters

`response_id` | `int`
| A response ID.
`setting` | `gboolean`
| `TRUE` for sensitive.